<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.xq.mapper.UserStarMapper">

    <select id="selectMyStar" resultType="com.ruoyi.xq.dto.app.userstar.vo.UserStarListVo">
        select t2.id as user_id, t2.avatar, t2.gender, t2.nickname, t2.birthday, t2.residence_city_name,
               t2.education, t2.profession
        from xq_user_star t1
                 join xq_user t2 on t1.star_user_id = t2.id
        where t1.user_id = #{query.userId}
    </select>
    <select id="selectStarMe" resultType="com.ruoyi.xq.dto.app.userstar.vo.UserStarListVo">
        select t2.id as user_id, t2.avatar, t2.gender, t2.nickname, t2.birthday, t2.residence_city_name,
               t2.education, t2.profession
        from xq_user_star t1
                 join xq_user t2 on t1.user_id = t2.id
        where t1.star_user_id = #{query.userId}
    </select>


</mapper>
